#2817 closed defect (fixed)

All Blackfin BSPs do not Compile on Master

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: highest Milestone: 5.1
Component: unspecified Version: 5
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

Recent changes to master resulted in this:

bfin-rtems4.12-gcc --pipe -DHAVE_CONFIG_H -I../../.. -I../../../../cpukit/../../../bf537Stamp/lib/include -O2 -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT libscorecpu_a-cpu.o -MD -MP -MF .deps/libscorecpu_a-cpu.Tpo -c -o libscorecpu_a-cpu.o test -f 'cpu.c' || echo '../../../../../../../../rtems/c/src/../../cpukit/score/cpu/bfin/'cpu.c
bfin-rtems4.12-gcc --pipe -DHAVE_CONFIG_H -I../../.. -I../../../../cpukit/../../../bf537Stamp/lib/include -DASM -O2 -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -O2 -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT libscorecpu_a-cpu_asm.o -MD -MP -MF .deps/libscorecpu_a-cpu_asm.Tpo -c -o libscorecpu_a-cpu_asm.o test -f 'cpu_asm.S' || echo '../../../../../../../../rtems/c/src/../../cpukit/score/cpu/bfin/'cpu_asm.S
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h: Assembler messages:
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:670: Error: syntax error. Input text was static.
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:670: Error:
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:671: Error: syntax error. Input text was {.
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:671: Error:
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:672: Error: syntax error. Input text was return.
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:672: Error:
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:673: Error: syntax error. Input text was }.
../../../../cpukit/../../../bf537Stamp/lib/include/rtems/score/cpu.h:673: Error:
gmake[7]: * [libscorecpu_a-cpu_asm.o] Error 1

Change History (3)

comment:1 Changed on Nov 21, 2016 at 9:07:41 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In c6f446bd702f6bdc469c7ed3a0e2b86cb9810032/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.